Bug 136025 - [FHS] [read-only /usr] tetex(?) creates files not tracked by RPM in /usr/share/texmf/web2c/
[FHS] [read-only /usr] tetex(?) creates files not tracked by RPM in /usr/shar...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks: ReadOnlyFS
  Show dependency treegraph
 
Reported: 2004-10-16 17:52 EDT by Daniel Reed
Modified: 2013-07-02 19:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-18 17:14:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
list of all files in /usr/share/texmf/web2c/ that are in neither rpmdb nor rpmdb-fedora (2.97 KB, text/plain)
2004-10-16 17:55 EDT, Daniel Reed
no flags Details

  None (edit)
Description Daniel Reed 2004-10-16 17:52:29 EDT
User-Agent:       
Build Identifier: 

After an installation of Fedora Core rawhide, an unknown process modifies files
in the path ``/usr/share/texmf/web2c/''.

``/usr/share/texmf/web2c/'' is owned by the package ``tetex''.


http://www.pathname.com/fhs/pub/fhs-2.3.html#THEUSRHIERARCHY

``/usr is the second major section of the filesystem. /usr is shareable,
read-only data. That means that /usr should be shareable between various
FHS-compliant hosts and must not be written to. Any information that is
host-specific or varies with time is stored elsewhere.''

http://www.pathname.com/fhs/pub/fhs-2.3.html#USRSHAREARCHITECTUREINDEPENDENTDATA

``The /usr/share hierarchy is for all read-only architecture independent data
files.''

http://www.pathname.com/fhs/pub/fhs-2.3.html#THEVARHIERARCHY

``/var is specified here in order to make it possible to mount /usr read-only.
Everything that once went into /usr that is written to during system operation
(as opposed to installation and software maintenance) must be in /var.''

http://www.pathname.com/fhs/pub/fhs-2.3.html#VARLIBVARIABLESTATEINFORMATION

``This hierarchy holds state information pertaining to an application or the
system. State information is data that programs modify while they run, and that
pertains to one specific host. Users must never need to modify files in /var/lib
to configure a package's operation.

State information is generally used to preserve the condition of an application
(or a group of inter-related applications) between invocations and between
different instances of the same application. State information should generally
remain valid after a reboot, should not be logging output, and should not be
spooled data.''

http://www.pathname.com/fhs/pub/fhs-2.3.html#VARCACHEAPPLICATIONCACHEDATA

``/var/cache is intended for cached data from applications. Such data is locally
generated as a result of time-consuming I/O or calculation. The application must
be able to regenerate or restore the data. Unlike /var/spool, the cached files
can be deleted without data loss. The data must remain valid between invocations
of the application and rebooting the system.''

http://www.pathname.com/fhs/pub/fhs-2.3.html#VARTMPTEMPORARYFILESPRESERVEDBETWEE

``The /var/tmp directory is made available for programs that require temporary
files or directories that are preserved between system reboots. Therefore, data
stored in /var/tmp is more persistent than data in /tmp.''

Reproducible: Always
Steps to Reproduce:
Comment 1 Daniel Reed 2004-10-16 17:55:23 EDT
Created attachment 105331 [details]
list of all files in /usr/share/texmf/web2c/ that are in neither rpmdb nor rpmdb-fedora
Comment 2 Christian Iseli 2007-01-22 06:09:14 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Matthew Miller 2007-04-06 11:18:15 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 4 Peter van Egdom 2007-11-18 17:14:36 EST
Most of the files mentioned in comment #1 now appear in the directory
"/usr/share/texmf-var/web2c/", probably due to a change in "tetex-3.0-10" :

 * Mon Nov 21 2005 Jindrich Novy <jnovy@redhat.com> 3.0-10
 - update dependencies for modular X
 - use @texmf@-var, @texmf@-config trees

To me this looks 'as designed'.

Furthermore, because 'teTeX' is no longer supported upstream
(http://www.tug.org/tetex/), 'teTeX' will be replaced by 'TeXLive' in the
near-future (http://fedoraproject.org/wiki/Releases/FeatureTexLive).

Resolving bug with resolution "DEFERRED", feel free to reopen this bug if needed.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.